----------------------------------------------------------------------
-- WKMascot ftHgAI W[
----------------------------------------------------------------------

local math          = math;
local setmetatable  = setmetatable;
local MOD           = MOD;

--AIXe[g
require("MOD.AI.State.RandomWalk");
require("MOD.AI.State.WaitIdle");
require("MOD.AI.State.Catch");

module("MOD.AI.Default");


AIDefault = {};

-------------------------------------------------
--ftHgAINX
-------------------------------------------------

function new()

	self = {}

	return setmetatable(self,{__index=AIDefault});

end


-------------------------------------------------
--AI
-------------------------------------------------

function AIDefault:Init( mascot )

	mascot:ChangeState( MOD.AI.State.WaitIdle.new() );

end


--====================================================================
--CxgR[obN
--====================================================================

-------------------------------------------------
--t[
-------------------------------------------------

function AIDefault:cb_Loop( mascot )

end

-------------------------------------------------
--}EXhbOňړ / ͂܂ꂽƂ
-------------------------------------------------

function AIDefault:cb_Catch( mascot )

	mascot:ChangeState( MOD.AI.State.Catch.new() );

end

-------------------------------------------------
--}EXhbOňړ / ꂽƂ
-------------------------------------------------

function AIDefault:cb_Release( mascot )

	mascot:SetDir( math.rad(180), 0 );
	mascot:ChangeState( MOD.AI.State.WaitIdle.new() );

end


